Subject: bug#76723: 30.1; M-x shortdoc seq should work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Mar 2025 20:30:27 +0200

[Please use Reply All to relay, to keep the bug tracker CC'ed.]

> From: Charles Choi <[email-masked]>
> Date: Tue, 4 Mar 2025 09:44:40 -0800
> 
> Eli- 
> 
> Consider the use case where a relatively novice user does not know of the internal taxonomy of information organized within Emacs. Such a user would care little about knowing a priori what a documentation group is. However, they would know what a package name is as they are trying to learn how to use it. Such was the case for me when I was trying to understand the seq package.
> 
> I expected to be able to find documentation about seq via the command "M-x shortdoc seq”. I was unpleasantly surprised that I had to use the term “sequence” to get it. 
> 
> While I understand better now that shortdoc was intended for only documentation groups, I think enhancing shortdoc to handle package names is not unreasonable.
> 
> Upon reflection, I naively expected shortdoc to have an unstructured search interface. It is clear to me now that shortdoc does not do this, but consider the collective gain for the Emacs community if it did.
> 
> 
> Regards -
> 
> Charles
> 
> 
> 
> > On Mar 4, 2025, at 5:56 AM, Eli Zaretskii <[email-masked]> wrote:
> > 
> > Why did you expect Emacs to have a group named "seq"?  Documentation
> > groups are not package names, they are a separate set of symbols that
> > define relatively high-level groups of objects, such as “strings"
> 
> 
> 
> 
> 
> 
>